<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [resizeTail](./bitburner.userinterface.resizetail.md)

## UserInterface.resizeTail() method

Resize a tail window.

**Signature:**

```typescript
resizeTail(width: number, height: number, pid?: number): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

width


</td><td>

number


</td><td>

Width of the window. The minimum value is 150.


</td></tr>
<tr><td>

height


</td><td>

number


</td><td>

Height of the window. The minimum value is 30.


</td></tr>
<tr><td>

pid


</td><td>

number


</td><td>

_(Optional)_ Optional. PID of the script having its tail resized. If omitted, the current script is used.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

Resize a tail window. Size are in pixel.

